﻿@model PostHighSchoolEducation
<div class="modal-dialog modal-dialog-scrollable" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id>0?"Edit" :"Add") Post High School Education</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form id="educationFrm" action="adviser/profile/SavePostHighSchoolEducation" class="form fv-plugins-bootstrap fv-plugins-framework" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteEducation">
            <div class="modal-body scrollable-modal-body">
                <span id="msg"></span>
                <input asp-for="Guid" />
                <div class="form-group">
                    <label asp-for="School"></label>
                    <input asp-for="School" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="School" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Degree"></label>
                    <select asp-for="Degree" class="form-control form-control-lg" asp-items="EnumHelper.GetEnumSelectList<DegreeTypeEnum>()"></select>
                    <span asp-validation-for="Degree" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Field"></label>
                    <select asp-for="Field" class="form-control form-control-lg" asp-items="ViewBag.FieldOfStudy"></select>
                    <span asp-validation-for="Field" class="text-danger"></span>
                </div>
                <div class="row">
                    <div class="col-md-8">
                        <div class="form-group mb-0" id="FromTo">
                            <label>Duration (From Year & To Year)</label>
                            <div class="input-group">
                                <input asp-for="FromYear" class="form-control form-control-lg yearmask">
                                <div class="input-group-append input-group-prepend">
                                    <span class="input-group-text bg-primary-o-40 border border-primary">
                                        To
                                    </span>
                                </div>
                                <input asp-for="ToYear" class="form-control form-control-lg yearmask" disabled="@(!string.IsNullOrEmpty(Model?.ToYear) ? null:"disabled")" />
                            </div>
                            <span asp-validation-for="FromYear" class="text-danger"></span>
                            <span asp-validation-for="ToYear" class="text-danger" id="toYear-Msg"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="education-template" type="text/html">
    {{if action=="add"}}
    <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 education-info-div d-flex" id="educationinfo-${educationInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none education-card bg-gray-100 w-100" style="border:1px solid #0eb578">
            <div class="card-header education-header" style="background:#0eb578">
                <div class="card-title m-0 w-75">
                    <h3 class="card-label font-size-h4">
                        <span class="font-weight-bold font-size-h4 text-white">${educationInfo.school}</span>
                    </h3>
                </div>
                <div class="card-toolbar m-0">
                    <div class="example-tools">
                        <button class="btn btn-icon btn-sm btn-education-edit" data-guid="${educationInfo.guid}">
                            <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                        </button>
                        <button class="btn btn-icon btn-sm btn-education-delete" data-guid="${educationInfo.guid}">
                            <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="font-size-h6">
                    <div class="row d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold">Degree:</span>
                        <span class="col-md-7 pl-0">${educationInfo.degreeString}</span>
                    </div>
                    <div class="row d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold">Field of Study:</span>
                        <span class="col-md-7 pl-0">${educationInfo.fieldString}</span>
                    </div>
                    <div class="row d-flex align-items-start">
                        <span class="col-md-5 text-dark font-weight-bold">Duration:</span>
                        <span class="col-md-7 pl-0">${educationInfo.fromYearString} - ${educationInfo.toYearString}</span>
                    </div>
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script>
    $('#FromYear').datepicker({
        format: "mm/yyyy",
        autoclose: true,
        minViewMode: "months",
        endDate: new Date()
    });
    $('#ToYear').datepicker({
        format: "mm/yyyy",
        autoclose: true,
        minViewMode: "months",
        startDate:'@Model?.FromYear'
    });
    $('#FromYear').on('changeDate input', function (selected) {
        startDate = $("#FromYear").val();
        $('#ToYear').datepicker('setStartDate', startDate);
        $('#ToYear').prop("disabled", true);
        var fromDate = $("#FromYear").val();
        var spfromDate = fromDate.split("/");
        var d2 = new Date(`${spfromDate[1]}-${spfromDate[0]}`);
        var today = new Date();
        var validStartDate = !startDate.includes("m") && !startDate.includes("y") && startDate != "" && d2 < today;
        if (validStartDate) {
            $('#ToYear').prop("disabled", false);
            $("#toYear-Msg").removeClass("d-none");
        }
        else {
            if (d2 > today) {
                $("#educationFrm").resetValidation();
                $("#fromYear-Msg").addClass("field-validation-error");
                $("#fromYear-Msg").html('From Year must be less than today');
            }
            else {
                $("#ToYear").val("");
                $("#toYear-Msg").addClass("d-none");
                $("#ToYear").removeClass("input-validation-error");
                $("form").valid();
            }

        }
    });
    $('#ToYear').on('changeDate input', function (selected) {
        var fromDate = $("#FromYear").val();
        var toDate = $("#ToYear").val();
        if (!toDate.includes("m") && !toDate.includes("y")) {
            var spfromDate = fromDate.split("/");
            var sptoDate = toDate.split("/");
            var d1 = new Date(`${spfromDate[1]}-${spfromDate[0]}`);
            var d2 = new Date(`${sptoDate[1]}-${sptoDate[0]}`);
            if (d1 > d2) {
                $("#educationFrm").resetValidation();
                $("#toYear-Msg").addClass("field-validation-error");
                $("#toYear-Msg").html('To Year must be greater than From Year');
            }
        }
    });

    $("#Degree").change(function (e) {
        var degree = Number(e.target.value);
        $.get(`adviser/profile/getfieldofstudy?degree=${degree}`, function (response) {
            var html = "";
            $.each(response, function (i, item) {
                var s = item.selected == true ? "selected" : "";
                html += `<option value="${item.value}" ${s}>${item.text}</option>`
            });
            $("#Field").html(html);
            $('#Field').selectpicker('render');
            $('#Field').selectpicker('refresh');
        });
    });
    var onFormCompleteEducation = function (response) {
        var id = $(this).find(":submit").attr('id');
        id = id == undefined ? $(frm).find(":submit").attr('id') : id;
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        frm_id = frm_id == undefined ? $(frm).attr('id') : frm_id;
        var responseObj = JSON.parse(response.responseText);
        var educationinfo = responseObj.data.educationInfo;
        if (responseObj) {
            if (responseObj.success) {
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var div = $(`#educationinfo-${educationinfo.guid}`)
                if (div.length > 0)
                    $(`#educationinfo-${educationinfo.guid}`).html($("#education-template").tmpl(responseObj.data));
                else {
                    responseObj.data.action = "add";
                    $("#education-main-div").append($("#education-template").tmpl(responseObj.data));
                }
                toastr.clear();
                toastr.options = toastrOptions;
                toastr.success(responseObj.message);
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    };
    $('#PostHighSchoolEducationModal').on('hidden.bs.modal', function () {
        setTimeout(function () {
            HideShowChecked();
        }, 0);
    });
</script>